<p align="center">
  <a href="http://nestjs.com/" target="blank"><img src="https://nestjs.com/img/logo-small.svg" width="200" alt="Nest Logo" /></a>
</p>


  <p align="center">A progressive <a href="http://nodejs.org" target="_blank">Node.js</a> framework for building efficient and scalable server-side applications.</p>
    <p align="center">

## Description

[Nest](https://github.com/nestjs/nest) backend template with AWS connection. Use AWS Cognito for authentication, S3 to store files SQS to decouple processing with lambda. Database and cache are not bound to AWS.

## Installation

```bash
$ npm install
```

## Running the app

```bash
# development
$ npm run start

# watch mode
$ npm run start:dev

# production mode
$ npm run start:prod
```

## Test

```bash
# unit tests
$ npm run test

# e2e tests
$ npm run test:e2e

# test coverage
$ npm run test:cov
```

## Support

...

## Stay in touch

- Author - [Flavien Henrion](mailto:flavien@coincoinmail.fr)
- Website - [https://cyberduck.blog](https://cyberduck.blog/)
- Twitter - [@Cyberduck](https://twitter.com/Canard_pimpant)

## License

This template is [MIT licensed](LICENSE).
